using Edge.Core.Parser.BinaryParser.Attributes;
using System;
using System.Collections.Generic;
using System.Text;

namespace  HengshanPaymentTerminal.MessageEntity.Incoming
{
    public class VolumeTotal : CardMessageBase
    {
        #region Constructor

        public VolumeTotal() : base(Command.VolumeTotalizerResult)
        {

        }

        #endregion

        [Format(1, EncodingType.BIN, -90)]
        public byte NozzleCount { get; set; }

        [EnumerableFormat("NozzleCount", -89, EncodingType = EncodingType.BIN)]
        public List<VolumeTotalizer> VolumeTotalizers { get; set; }
    }

    public class VolumeTotalizer
    {

        [Format(1, EncodingType.BIN, 1)]
        public byte NozzleNo { get; set; }

        [Format(4, EncodingType.HexString, 2)]
        public string VolumeTotal { get; set; }
    }
}
